
<?php 

function verificarCadastro ($conexao, $chave){

//procura usuarios iguais ao digitado na tabela
$listagem = mysqli_query($conexao, "SELECT * from notas WHERE chave = '$chave' ;");
//o while repete a criaçao de linhas na tabela igual a quantidade de itens.
while($linha = mysqli_fetch_array($listagem)) {

    $loja = $linha['loja'];
    $status = $linha['status'];
    
    $_SESSION['msg'] = "<div class='alert alert-danger'> JÁ RECEBIDA NA LOJA [ $loja ]  E ESTA [ $status ]</div>";
    header("Location:pedidos.php"); 

}

}

function verificarCadastro_softcom($chave) {
    $arquivo = "arquivos/chaves.txt";
    $contador = 0;
    $handle = fopen($arquivo, "r");
    if ($handle) {
        while (($linha = fgets($handle)) !== false) {
            $linha = trim($linha, "\n");
            $linha = str_replace('"', '', $linha);
            $campos = explode(";", $linha);
            if ($campos[0] == $chave) {
                $contador++;
            }
        }
        fclose($handle);
    } else {
        echo "Erro ao abrir o arquivo!";
    }
    return $contador;
}